'use strict';
/* globals fetch */

module.exports = function (opts) {
	// TODO: extend options by
	//	- headers
	//  - credentials

	var options = (opts || {});
	var verbose = Boolean(options.verbose);
	var url = options.url || 'http://localhost:3000/api';

	var logResult = function (result) {
		if (!verbose) {
			return;
		}

		console.info('Result from ' + url + ':', result);
	};

	var notifyProbeReceived = function (probe) {
		if (!verbose) {
			return;
		}

		console.info('Will send probe to ' + url + ':', probe);
	};

	return {
		onProbeReceived: function (probe) {
			// TODO: Add fetch polyfill or remark in readme
			notifyProbeReceived(probe);
			fetch(url, {
				body: probe,
				method: 'POST',
				mode: 'no-cors'
			}).then(logResult);
		}
	};
};
